// RegnemaskineVisuelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RegnemaskineVisuel.h"
#include "RegnemaskineVisuelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRegnemaskineVisuelDlg dialog

CRegnemaskineVisuelDlg::CRegnemaskineVisuelDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRegnemaskineVisuelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRegnemaskineVisuelDlg)
	m_Display = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRegnemaskineVisuelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRegnemaskineVisuelDlg)
	DDX_Text(pDX, IDC_Display, m_Display);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CRegnemaskineVisuelDlg, CDialog)
	//{{AFX_MSG_MAP(CRegnemaskineVisuelDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_Clear, OnClear)
	ON_BN_CLICKED(IDC_ClearDisplay, OnClearDisplay)
	ON_BN_CLICKED(IDC_Add, OnAdd)
	ON_BN_CLICKED(IDC_Subtract, OnSubtract)
	ON_BN_CLICKED(IDC_Multiply, OnMultiply)
	ON_BN_CLICKED(IDC_Divide, OnDivide)
	ON_BN_CLICKED(IDC_ClearMemory, OnClearMemory)
	ON_BN_CLICKED(IDC_Store, OnStore)
	ON_BN_CLICKED(IDC_Load, OnLoad)
	ON_BN_CLICKED(IDC_Ciffer1, OnCiffer1)
	ON_BN_CLICKED(IDC_Ciffer2, OnCiffer2)
	ON_BN_CLICKED(IDC_Ciffer3, OnCiffer3)
	ON_BN_CLICKED(IDC_Ciffer4, OnCiffer4)
	ON_BN_CLICKED(IDC_Ciffer5, OnCiffer5)
	ON_BN_CLICKED(IDC_Ciffer6, OnCiffer6)
	ON_BN_CLICKED(IDC_Ciffer7, OnCiffer7)
	ON_BN_CLICKED(IDC_Ciffer8, OnCiffer8)
	ON_BN_CLICKED(IDC_Ciffer9, OnCiffer9)
	ON_BN_CLICKED(IDC_Ciffer0, OnCiffer0)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRegnemaskineVisuelDlg message handlers

BOOL CRegnemaskineVisuelDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	CString strAboutMenu;
	strAboutMenu.LoadString(IDS_ABOUTBOX);
	if (!strAboutMenu.IsEmpty())
	{
		pSysMenu->AppendMenu(MF_SEPARATOR);
		pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CRegnemaskineVisuelDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CRegnemaskineVisuelDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CRegnemaskineVisuelDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CRegnemaskineVisuelDlg::OnClear() 
{
	Regn.Clear();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnClearDisplay() 
{
	Regn.ClearDisplay();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnAdd() 
{
	Regn.Add();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnSubtract() 
{
	Regn.Subtract();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnMultiply() 
{
	Regn.Multiply();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnDivide() 
{
	Regn.Divide();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer0() 
{
	Regn.Ciffer0();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer1() 
{
	Regn.Ciffer1();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer2() 
{
	Regn.Ciffer2();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer3() 
{
	Regn.Ciffer3();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer4() 
{
	Regn.Ciffer4();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer5() 
{
	Regn.Ciffer5();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer6() 
{
	Regn.Ciffer6();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer7() 
{
	Regn.Ciffer7();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer8() 
{
	Regn.Ciffer8();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnCiffer9() 
{
	Regn.Ciffer9();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}


void CRegnemaskineVisuelDlg::OnClearMemory() 
{
	Regn.ClearMemory();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnStore() 
{
	Regn.StoreMemory();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}

void CRegnemaskineVisuelDlg::OnLoad() 
{
	Regn.LoadMemory();
	m_Display = Regn.ReadDisplay();
	UpdateData(FALSE);
}
